Overview
PATCH
/chat/conversations/{id}/messages/{mid}chatEdit a user message
Update fields of a record in messages by id, mid.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
- midpathstring
Request body
application/json · optional
- contentstring
Example
{
"content": "string"
}Responses
204
Edited
No response body.
400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X PATCH "https://api.agenticdeveloperhub.com/chat/conversations/{id}/messages/{mid}" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"content": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/chat/conversations/{id}/messages/{mid}", {
method: "PATCH",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"content\": \"string\"\n}",
});
const data = await res.json();